// 设计函数int toInt(char *str), 实现将字符串转成数值的功能。 【提示】如 toInt("123") 返回 123
#include <stdio.h>

int toInt(char *str)
{
    int n = 0;
    while (*str)
    {
        if (*str < '0' || *str > '9') // 先判断是否是数字
        {
            return -1;
        }
        n = n * 10 + *str - '0'; // 将字符转换为数字
        str++;
    }
    return n;
}

int main()
{
    char *s = "123";
    int n = toInt(s);
    printf("%d\n", n);

    return 0;
}